* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

body {
    width: 100vw;
    height: 100vh;
    /* background: linear-gradient(353deg, #000000, #272525); */
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.contrForm {
    width: 20rem;
    height: 20rem;
    border: 1px solid rgba(0,0,0,.125);
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.contrInput {
    width: 90%;
    display: flex;
    flex-direction: column;
    position: relative;
}

.contrForm__logo {
    width: 10rem;
    margin-bottom: 2rem;
}

.contrInput__input {
    height: calc(1.5em + .75rem + 2px);
    width: 100%;
    margin: 0 auto;
    border-radius: 5px;
    border: 1px solid rgba(0,0,0,.125);
    font-size: 1rem;
    padding: 10px 8px;
}

.contrInput__input--error {
    box-shadow: 0px 0px 5px 0px red;
}


.contrInput__input:focus {
    outline: none;
    border: 1px solid #0aa13a;
}

.contrInput__input:focus > .contrInput__label {
    color: red;
}

.contrInput__label {
    width: auto;
    background: #fff;
    font-family: sans-serif;
    line-height: 13px;
    font-size: 1rem;
    margin-bottom: 0.5rem;
    color: #454141;
}

.contrForm__button {
    width: 90%;
    height: 2.5rem;
    border-radius: 5px;
    border: none;
    font-size: 15px;
    color: #fff;
    background: #28a745;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.contrForm__button:hover {
    box-shadow: 0px 0px 10px -2px #0aa13a;
}

.tbregistros{
    border-collapse: collapse;
}

.tbregistros__tr th, td {
    border: 1px solid rgba(0,0,0,.125);
    padding: 10px;
    text-align: left;
}

.tbregistros__button {
    width: 5rem;
    height: 2.1rem;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    font-size: 15px;
    font-weight: 400;
    transition: 0.3s ease;
}
.tbregistros__button--warning {
    background: #ffc107;
    border: 1px solid #ffc107;
    color: #000;
}

.tbregistros__button--warning:hover {
    /* box-shadow: 0px 0px 10px -2px #ffc107; */
    filter: contrast(0.85);
}

.tbregistros__button--danger {
    background: #dc3545;
    border: 1px #dc3545 ;
    color: #fff;
}

.tbregistros__button--danger:hover {
    /* box-shadow: 0px 0px 10px -2px #dc3545; */
    filter: contrast(0.85);
}
